| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
SendBuffersAllocationAttributes Struct Reference

Holds limits for send buffers allocations. More...

`#include <RTPSParticipantAllocationAttributes.hpp>`

## Public Member Functions

bool | operator== (const SendBuffersAllocationAttributes &b) const

## Public Attributes

size_t | preallocated_number = 0u
| Initial number of send buffers to allocate.
bool | dynamic = false
| Whether the number of send buffers is allowed to grow.
ResourceLimitedContainerConfig | network_buffers_config
| Configuration for the network buffers.

## Detailed Description

Holds limits for send buffers allocations.

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const SendBuffersAllocationAttributes & | b | ) | const

inline

## Member Data Documentation

## ◆ dynamic

bool dynamic = false

Whether the number of send buffers is allowed to grow.

This attribute controls how the buffer manager behaves when a send buffer is not available. When true, a new buffer will be created. When false, it will wait for a buffer to be returned. This is a trade-off between latency and dynamic allocations.

## ◆ network_buffers_config

ResourceLimitedContainerConfig network_buffers_config

Initial value:
= ResourceLimitedContainerConfig(16u,
std::numeric_limits<size_t>::max dummy_avoid_winmax (), 16u)
eprosima::fastdds::ResourceLimitedContainerConfig
Specifies the configuration of a resource limited collection.
Definition ResourceLimitedContainerConfig.hpp:36

Configuration for the network buffers.

This attribute controls the allocation behavior of the network buffers used by each send buffer. The default value will use a value of 16 network buffers for both the preallocated buffers and the dynamic increment allocation, with no maximum limit.

## ◆ preallocated_number

size_t preallocated_number = 0u

Initial number of send buffers to allocate.

This attribute controls the initial number of send buffers to be allocated. The default value of 0 will perform an initial guess of the number of buffers required, based on the number of threads from which a send operation could be started.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAllocationAttributes.hpp